$ErrorActionPreference = 'Stop';

$packageName = 'MemProfiler'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://cdn.memprofiler.com/download/MemProfilerInstaller5_6_23-32bit.msi'
$url64      = 'http://cdn.memprofiler.com/download/MemProfilerInstaller5_6_23-64bit.msi'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64bit      = $url64

  softwareName  = 'MemProfiler*'

  checksum      = '5538fe072e9995f5964bb70e03e294a59bf62240eba4e887ed6d4e94a75fa222'
  checksumType  = 'sha256'
  checksum64    = '9ba60fbe9b490fde15853fd9677cfdaf58e6bc7cf7194c49a641f6a83042ed53'
  checksumType64= 'sha256'

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
